LibreOffice: ODBCConnectionProperties Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Included Services | Public Attributes | List of all members
ODBCConnectionProperties Service Reference

represents the properties for a ODBC connection (session) with a specific database. More...

`import"ODBCConnectionProperties.idl";`

Inheritance diagram for ODBCConnectionProperties:

## Included Services
service | com::sun::star::sdbc::ConnectionProperties

## Public Attributes
boolean | ParameterNameSubstitution
| should the parameter "?" in prepared statement be substituted with an distinct name More...
long | Timeout
| the Timeout after which time a timeout should happen More...
boolean | Silent
| Silent - should the connection be silent. More...
boolean | UseCatalog
| should the driver should support a catalog. More...
string | CharSet
| specifies the encoding to use to translate the backend data More...
boolean | IsAutoRetrievingEnabled
| specifies if retrieving of auto generated values should be enabled or not. More...
string | AutoRetrievingStatement
| specifies the statement which should be executed when asking an "INSERT" statement for the XGeneratedResultSet (future concept) interface. More...
Public Attributes inherited from ConnectionProperties
string | user
| the username More...
string | password
| the password More...

## Detailed Description

represents the properties for a ODBC connection (session) with a specific database.

These properties can be used when calling the method com::sun::star::sdbc::XDriver::connect() or com::sun::star::sdbc::XDriverManager::getConnectionWithInfo().

The properties for a connection contain additional information about how to connect to a database and how to control the behavior of the resulting connection should be.

See also
  com::sun::star::sdbc::XDriver
  com::sun::star::sdbc::XDriverManager
  com::sun::star::sdbc::ConnectionProperties

## Exported Interfaces

## § com::sun::star::sdbc::ConnectionProperties

service com::sun::star::sdbc::ConnectionProperties

## Member Data Documentation

## § AutoRetrievingStatement

string AutoRetrievingStatement
| optionalproperty

specifies the statement which should be executed when asking an "INSERT" statement for the XGeneratedResultSet (future concept) interface.

## § CharSet

string CharSet
| optionalproperty

specifies the encoding to use to translate the backend data

See the IANA character set list for a list of valid values.

## § IsAutoRetrievingEnabled

boolean IsAutoRetrievingEnabled
| optionalproperty

specifies if retrieving of auto generated values should be enabled or not.

If `TRUE` than the statement will support the XGeneratedResultSet (future concept) interface, otherwise not.

## § ParameterNameSubstitution

boolean ParameterNameSubstitution
| optionalproperty

should the parameter "?" in prepared statement be substituted with an distinct name

## § Silent

boolean Silent
| optionalproperty

Silent - should the connection be silent.

No user interaction while creating the connection.

## § Timeout

long Timeout
| optionalproperty

the Timeout after which time a timeout should happen

## § UseCatalog

boolean UseCatalog
| optionalproperty

should the driver should support a catalog.

The documentation for this service was generated from the following file:

- com/sun/star/sdbc/ODBCConnectionProperties.idl